package de.miaurizius.jgame2d.environment;

import de.miaurizius.jgame2d.core.GamePanel;

import java.awt.*;

public class EnvironmentManager {

    GamePanel panel;
    public Lighting lighting;

    public EnvironmentManager(GamePanel panel) {
        this.panel = panel;
    }

    public void draw(Graphics2D g2) {
        lighting.draw(g2);
    }

    // SETTING THINGS UP
    public void setup() {
        lighting = new Lighting(panel);
    }
    public void update() {
        lighting.update();
    }

}
